﻿;***comDoc*** 
;============
;
;Open document demo program.
;This opens the document created with the "Demo - CreateDiscDocument.pb" demo.
;/////////////////////////////////////////////////////////////////////////////////

CoInitialize_(0)

XIncludeFile "..\comDoc.pbi"

Define myDoc.comDocDocumentObject, myFile.comDocFileObject

;Open our disc-based compound document.
  myDoc = comDoc_OpenDiscDocument("test.cmp")

If myDoc
  ;Open the first file which we named "file1"
    myFile = myDoc\OpenFile("file1")
    If myfile
      Debug "'file1'..."
      ;Read all the longs we wrote to this file.
       While myfile\Eof() = 0
          Debug "    " + Str(myFile\ReadLong())
        Wend
      myFile\Close()
    EndIf
    Debug "====="
  ;The second file which we named "file2"
    myFile = myDoc\OpenFile("file2")
    If myfile
      Debug "'file2'..."
      ;Read all the strings we wrote to this file.
        While myfile\Eof() = 0
          Debug "    " + myFile\ReadString(#PB_UTF8)
        Wend
      myFile\Close()
    EndIf
  myDoc\Close()
EndIf



; IDE Options = PureBasic 4.51 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 7
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll