﻿;***comDoc*** 
;============
;
;Catch document demo program.
;This opens the document created with the "Demo - CreateDocument.pb" demo.
;/////////////////////////////////////////////////////////////////////////////////

CoInitialize_(0)

XIncludeFile "..\comDoc.pbi"

Define myDoc.comDocDocumentObject, myFile.comDocFileObject

;Open our memory-based compound document.
  myDoc = comDoc_CatchDocument(?documentStart, ?documentEnd - ?documentStart)



If myDoc

  ;Open the first file which we named "file1"
    myFile = myDoc\OpenFile("file1")
    If myfile
      Debug "'file1'..."
      ;Read all the longs we wrote to this file.
       While myfile\Eof() = 0
          Debug "    " + Str(myFile\ReadLong())
        Wend
      myFile\Close()
    EndIf
    Debug "====="
  ;The second file which we named "file2"
    myFile = myDoc\OpenFile("file2")
    If myfile
      Debug "'file2'..."
      ;Read all the strings we wrote to this file.
        While myfile\Eof() = 0
          Debug "    " + myFile\ReadString(#PB_UTF8)
        Wend
      myFile\Close()
    EndIf
  myDoc\Close()
EndIf


DataSection
  documentStart:
    IncludeBinary "test.cmp"
  documentEnd:
EndDataSection
; IDE Options = PureBasic 4.50 Beta 3 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 41
; FirstLine = 5
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll