﻿;***comDoc***
;============
;
;Temporary document demo program.
;/////////////////////////////////////////////////////////////////////////////////

CoInitialize_(0)

XIncludeFile "..\comDoc.pbi"

Define myDoc.comDocDocumentObject, myFile.comDocFileObject

;Create a memory-based compound document.
  myDoc = comDoc_CreateDiscDocument("")

If myDoc
  ;Create a first file within the document.
    myFile = myDoc\CreateFile("file1")
    If myFile
      ;Write 1000 longs - just for the hell of it!
        For i = 1 To 1000
          myFile\WriteLong(10*i)
        Next
      myFile\Close()
    EndIf

  ;A second file (text)
    myFile = myDoc\CreateFile("file2")
    If myFile
      ;Write a couple of strings. (Strings are automatically null-terminated).
        myFile\WriteString("String 1", #PB_UTF8)
        myFile\WriteString("String 2", #PB_UTF8)
      myFile\Close()
    EndIf

  ;Let us save the document.
    myDoc\SaveDocumentAs("test.cmp", #False)    ;The (optional) second parameter tells comDoc to continue using the original
                                                ;temporary disc based document as opposed to switching to the newly saved one.
  
  ;Tidy up.
    myDoc\Close()
EndIf



; IDE Options = PureBasic 4.50 Beta 3 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 37
; FirstLine = 8
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll